Loading...
Searching...
No Matches
BALL::HybridisationProcessor::Option Struct Reference

Option names. More...

`#include <BALL/STRUCTURE/hybridisationProcessor.h>`

## Static Public Attributes

static const char * | ATOM_TYPE_SMARTS_FILENAME
static const char * | ATOM_TYPE_FF_FILENAME
static const String | METHOD

## Detailed Description

Option names.

Definition at line 52 of file hybridisationProcessor.h.

## Member Data Documentation

## ATOM_TYPE_FF_FILENAME

const char* BALL::HybridisationProcessor::Option::ATOM_TYPE_FF_FILENAME

static

Name to the file where the atom types, corresponding hybridisation states, and bond angles are stored in (force field based method).

Definition at line 62 of file hybridisationProcessor.h.

## ATOM_TYPE_SMARTS_FILENAME

const char* BALL::HybridisationProcessor::Option::ATOM_TYPE_SMARTS_FILENAME

static

Name to the file where the atom types and corresponding hybridisation states are stored in.

Definition at line 57 of file hybridisationProcessor.h.

## METHOD

const String BALL::HybridisationProcessor::Option::METHOD

static

If true, the existing bonds are deleted before bonds detection begins. If the atoms are in non-bond distance no bonds will be build! Note that the processor cannot rebuild inter-atomcontainer bonds, that will cause problem using it with proteins. Technique to compute the hybridisation states.

Definition at line 73 of file hybridisationProcessor.h.